## org.springframework.scheduling.quartz
Interface SchedulerContextAware

All Known Implementing Classes:
  SpringBeanJobFactory

    public interface SchedulerContextAware

Callback interface to be implemented by Spring-managed Quartz artifacts that need access to the SchedulerContext (without having natural access to it).

Currently only supported for custom JobFactory implementations that are passed in via Spring's SchedulerFactoryBean.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  `JobFactory`, `SchedulerFactoryBean.setJobFactory(org.quartz.spi.JobFactory)`

Method Summary
`void` `setSchedulerContext(SchedulerContext schedulerContext)` Set the SchedulerContext of the current Quartz Scheduler.

Method Detail

### setSchedulerContext

    void setSchedulerContext(SchedulerContext schedulerContext)

  Set the SchedulerContext of the current Quartz Scheduler.

  See Also:
    `Scheduler.getContext()`

Copyright © 2002-2008 The Spring Framework.